@media (max-width: 1259.98px) {
    .headerNavCont {
        z-index: 10000;
        position: relative !important;
        top: unset !important;
        left: unset !important;
        transform: unset !important;
        padding: 0 !important;
        background: none !important;
    }

    .headerNavCont .wp-block-navigation__submenu-container {
        transform: unset !important;
    }

    body:has(.has-modal-open) {
        overflow: hidden;
    }

    .headerNavCont .wp-block-navigation__responsive-container {
        display: none !important;
        flex-direction: column !important;
        position: fixed !important;
        height: calc(100vh + 20px) !important;
        bottom: unset !important;
        right: unset !important;
        z-index: 100000 !important;
    }

    .headerNavCont .wp-block-navigation__responsive-container-open {
        border: none !important;
        stroke: none !important;
        outline: none !important;
        width: 42px !important;
        height: 42px !important;
        padding: 0 !important;
        background-color: var(--wp--preset--color--accent-3) !important;
        display: flex !important;
        justify-content: center !important;
        align-items: center !important;
        border-radius: 0 !important;
        transition: 400ms ease-in-out;
        color: var(--wp--preset--color--base-1) !important;
    }

    .headerNavCont .wp-block-navigation__responsive-container-open:hover {
        background-color: var(--wp--preset--color--accent-2) !important;
    }

    .headerNavCont .wp-block-navigation__responsive-container-close {
        stroke: none !important;
        outline: none !important;
        color: var(--wp--preset--color--base-1) !important;
        background-color: var(--wp--preset--color--accent-3) !important;
        transition: 400ms ease-in-out;
        width: 50px;
        height: 50px;
        top: 0px;
        right: 0px;
    }

    .headerNavCont .wp-block-navigation__responsive-container-close svg {
        display: none;
    }

    .headerNavCont .wp-block-navigation__responsive-container-close::after {
        content: 'X';
        display: block;
        font-weight: 700;
        font-size: 1.8em;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        line-height: 1;
        color: var(--wp--preset--color--base-1);
    }

    .headerNavCont .wp-block-navigation__responsive-container-close:hover {
        background-color: var(--wp--preset--color--accent-2) !important;
    }

    .headerNavCont .wp-block-navigation__responsive-container.has-modal-open.is-menu-open {
        display: flex !important;
        padding: 20px 20px 40px 20px !important;
        max-width: 100% !important;
        width: 100% !important;
        background: #F8F8F8CC !important;
        backdrop-filter: blur(3px);
    }

    .mainNav .wp-block-navigation__responsive-container-content,
    ul.mainNav.wp-block-navigation,
    .mainNav .wp-block-navigation-item {
        align-items: center !important;
    }

    .mainNav .wp-block-navigation-item__content {
        font-size: 1.2em !important; 
        text-align: center !important;
    }

    .mainNav .wp-block-navigation-item.has-child {
        margin-top: 0.5em !important;
    }

    .mainNav .wp-block-navigation__submenu-container .wp-block-navigation-item:first-child .wp-block-navigation-item__content {
        padding-top: 12px !important;
    }

    .mainNav .wp-block-navigation__submenu-container .wp-block-navigation-item:last-child .wp-block-navigation-item__content {
        padding-bottom: 12px !important;
    }

    .headerMain:not(.stickyWide) {
        padding: 10px 20px !important;
    }

    nav.mainNav {
        order: 1;
    }

    .stickyContacts {
        margin-right: auto !important;
    }

    .stickyContacts .uagb-heading-text a {
        white-space: nowrap;
    }

    ul.mainNav a.wp-block-navigation-item__content::after {
        bottom: 0;
        left: 0;
    }

    ul.mainNav a.wp-block-navigation-item__content:hover::after {
        width: 100%;
    }
}

@media (max-width: 429.98px) {
    .stickyContacts {
        gap: 20px !important;
    }
}